Overview | Package | Class | Deprecated | Index | Help
| Groovy 1.7.6
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.ast
[Java] Class AnnotatedNode

    java.lang.Object
      org.codehaus.groovy.ast.ASTNode
          org.codehaus.groovy.ast.AnnotatedNode

    public class AnnotatedNode
    extends ASTNode

Base class for any AST node which is capable of being annotated

Authors:
  James Strachan

Version:
  \$Revision: 20601 \$

Constructor Summary
`AnnotatedNode()`

Method Summary
`void` | `addAnnotation(AnnotationNode value)`
`void` | `addAnnotations(List annotations)`
`List` | `getAnnotations()`
`List` | `getAnnotations(ClassNode type)`
`ClassNode` | `getDeclaringClass()`
`boolean` | `hasNoRealSourcePosition()` Currently only ever returns true for default constructors added by the compiler.
`boolean` | `isSynthetic()` returns true if this node is added by the compiler.
`void` | `setDeclaringClass(ClassNode declaringClass)` @param declaringClass - The declaringClass to set.
`void` | `setHasNoRealSourcePosition(boolean value)`
`void` | `setSynthetic(boolean synthetic)` sets this node as a node added by the compiler.

Methods inherited from class ASTNode
copyNodeMetaData, getColumnNumber, getLastColumnNumber, getLastLineNumber, getLineNumber, getNodeMetaData, getText, removeNodeMetaData, setColumnNumber, setLastColumnNumber, setLastLineNumber, setLineNumber, setNodeMetaData, setSourcePosition, visit

Methods inherited from class Object
wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Constructor Detail

### AnnotatedNode

    public AnnotatedNode()

Method Detail

### addAnnotation

    public void addAnnotation(AnnotationNode value)

### addAnnotations

    public void addAnnotations(List annotations)

### getAnnotations

    public List getAnnotations()

### getAnnotations

    public List getAnnotations(ClassNode type)

### getDeclaringClass

    public ClassNode getDeclaringClass()

### hasNoRealSourcePosition

    public boolean hasNoRealSourcePosition()

  Currently only ever returns true for default constructors added by the compiler. See GROOVY-4161.

### isSynthetic

    public boolean isSynthetic()

  returns true if this node is added by the compiler. NOTE: This method has nothing to do with the synthetic flag for fields, methods or classes.
  Returns:
    true if this node is added by the compiler

### setDeclaringClass

    public void setDeclaringClass(ClassNode declaringClass)

  Parameters:
    `declaringClass` - - The declaringClass to set.

### setHasNoRealSourcePosition

    public void setHasNoRealSourcePosition(boolean value)

### setSynthetic

    public void setSynthetic(boolean synthetic)

  sets this node as a node added by the compiler. NOTE: This method has nothing to do with the synthetic flag for fields, methods or classes.
  Parameters:
    `synthetic` - - if true this node is marked as added by the compiler

Copyright © 2003-2010 The Codehaus. All rights reserved.